Bug 180774 - Fails to recompile on ia64
Fails to recompile on ia64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rdist (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: 187539
  Show dependency treegraph
 
Reported: 2006-02-10 04:04 EST by Bastien Nocera
Modified: 2015-03-04 20:15 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0423
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 17:27:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rdist-ia64-regex-build.patch (824 bytes, patch)
2006-02-10 04:04 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-02-10 04:04:09 EST
rdist-6.1.5-35.30.2

Rebuilding on ia64 gives:
+ make -C rdist
make: Entering directory `/usr/src/redhat/BUILD/rdist-6.1.5/rdist'
cc -O2 -g -pipe -Wall -D_POSIX_SOURCE -D_GNU_SOURCE -D_LARGEFILE_SOURCE
-D_LARGEFILE64_SOURCE -D_FILE_OcIn file included from docmd.c:34:
defs.h:160: syntax error before "_RE_ARGS"
defs.h:161: syntax error before "_RE_ARGS"
docmd.c: In function `doarrow':
docmd.c:107: warning: cast from pointer to integer of different size
docmd.c:107: warning: cast from pointer to integer of different size
docmd.c:167: warning: cast from pointer to integer of different size
docmd.c: In function `okname':
docmd.c:301: warning: cast from pointer to integer of different size
docmd.c: In function `dodcolon':
docmd.c:329: warning: cast from pointer to integer of different size
docmd.c:329: warning: cast from pointer to integer of different size
docmd.c:341: warning: cast from pointer to integer of different size
docmd.c:341: warning: cast from pointer to integer of different size
docmd.c: In function `cmptime':
docmd.c:399: warning: cast from pointer to integer of different size
docmd.c:399: warning: cast from pointer to integer of different size
docmd.c:412: warning: cast from pointer to integer of different size
docmd.c:417: warning: cast from pointer to integer of different size
docmd.c: In function `rcmptime':
docmd.c:429: warning: cast from pointer to integer of different size
docmd.c:432: warning: cast from pointer to integer of different size
docmd.c:441: warning: cast from pointer to integer of different size
docmd.c: In function `notify':
docmd.c:480: warning: cast from pointer to integer of different size
docmd.c:480: warning: cast from pointer to integer of different size
docmd.c:484: warning: cast from pointer to integer of different size
docmd.c:484: warning: cast from pointer to integer of different size
docmd.c: In function `except':
docmd.c:566: warning: implicit declaration of function `re_comp'
docmd.c:567: warning: implicit declaration of function `re_exec'
make: *** [docmd.o] Error 1
make: Leaving directory `/usr/src/redhat/BUILD/rdist-6.1.5/rdist'

Patch attached
Comment 1 Bastien Nocera 2006-02-10 04:04:09 EST
Created attachment 124480 [details]
rdist-ia64-regex-build.patch
Comment 2 Phil Knirsch 2006-02-10 06:03:47 EST
Patch looks good, including in next build.

Read ya, Phil
Comment 3 Phil Knirsch 2006-02-10 06:10:49 EST
Sorry, didn't look closely enough that this is a RHEL3 issue.

Rdist builds fine on FC-devel, so reopened this bug to keep track of it.

Read ya, Phil
Comment 7 Red Hat Bugzilla 2006-05-10 17:27:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0423.html

Note You need to log in before you can comment on or make changes to this bug.